<?php
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) exit;

// API settings
delete_option( 'smpt_api_key' );
delete_option( 'smpt_prev_api_key' );
delete_option( 'smpt_clear_transient' );
delete_option( 'smpt_salah_api_response' );
delete_option( 'smpt_show_powered_by' );

// UI settings
delete_option( 'smpt_table_style' );
delete_option( 'smpt_icon_required' );
delete_option( 'smpt_icon_set_no' );
delete_option( 'smpt_default_styling' );
delete_option( 'smpt_card_color_picker' );
delete_option( 'smpt_card_color_picker_sibling' );
delete_option( 'smpt_card_color_picker_hidden' );
delete_option( 'smpt_active_card_color_picker' );
delete_option( 'smpt_active_card_color_picker_sibling' );
delete_option( 'smpt_active_card_color_picker_hidden' );
delete_option( 'smpt_font_color_picker' );
delete_option( 'smpt_font_color_picker_hidden' );
delete_option( 'smpt_icon_color_picker' );
delete_option( 'smpt_icon_color_picker_sibling' );
delete_option( 'smpt_icon_color_picker_hidden' );
delete_option( 'smpt_active_card_icon_color_picker' );
delete_option( 'smpt_active_card_icon_color_picker_sibling' );
delete_option( 'smpt_active_card_icon_color_picker_hidden' );
delete_option( 'smpt_active_card_font_color_picker' );
delete_option( 'smpt_active_card_font_color_picker_hidden' );

// Transients
delete_transient( 'smpt_calender_api_data' );
delete_transient( 'smpt_prayer_api_data' );
delete_transient( 'smpt_jumuah_api_data' );
